<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- XML-Schema für ISYBAU-Austauschformat Datenbereich Praesentationsdaten -->
<!-- <Version>2024-06</Version>-->
<!-- Letzte Bearbeitung:  -->
<!-- 15.08.2022, Ergänzung der Referenz Auftragskennung zum StammdatenMassnahmeReferenzType  -->
<!-- 15.08.2022, Berücksichtigung minExclusive value beim type="Winkel"  -->
<!--17.03.2025, Ergänzung der Referenz Dokumentationsrichtung zum StammdatenMassnahmeReferenzType -->
<!--17.03.2025, Ergänzung der Referenz Rinnenbereich zum ZustandsdatenReferenzType -->
<xsd:schema xmlns="http://www.bfr-abwasser.de" xmlns:isy="http://www.bfr-abwasser.de" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.bfr-abwasser.de" elementFormDefault="qualified">
	<xsd:include schemaLocation="./2406-referenzlisten.xsd"/>
	<xsd:annotation>
		<xsd:documentation xml:lang="de">ISYBAU-Austauschformat Datenbereich Praesentationsdaten</xsd:documentation>
	</xsd:annotation>
	<xsd:complexType name="PraesentationsdatenType">
		<xsd:sequence>
			<xsd:element name="Kennung">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:minLength value="5"/>
						<xsd:maxLength value="5"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="Beschreibung" minOccurs="0">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:maxLength value="100"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="MassstabszahlMin">
				<xsd:simpleType>
					<xsd:restriction base="xsd:integer">
						<xsd:totalDigits value="7"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="MassstabszahlMax">
				<xsd:simpleType>
					<xsd:restriction base="xsd:integer">
						<xsd:totalDigits value="7"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="Praesentationsobjekt" type="PraesentationsobjektType" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="PraesentationsobjektType">
		<xsd:sequence>
			<xsd:element name="Objektbezeichnung">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:maxLength value="30"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="dientZurDarstellungVon" type="ReferenzType"/>
			<xsd:choice>
				<xsd:element name="Textobjekt" type="TextobjektType"/>
				<xsd:element name="Symbolobjekt" type="SymbolobjektType"/>
			</xsd:choice>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="ReferenzType" abstract="true">
		<xsd:sequence>
			<xsd:element name="Kollektivkennung">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:minLength value="5"/>
						<xsd:maxLength value="5"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="Objektbezeichnung">
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:maxLength value="30"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="StammdatenReferenzType">
		<xsd:complexContent>
			<xsd:extension base="ReferenzType">
				<xsd:sequence>
					<xsd:element name="Objektart" type="ObjektartType"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="StammdatenMassnahmeReferenzType">
		<xsd:complexContent>
			<xsd:extension base="StammdatenReferenzType">
				<xsd:sequence>
					<xsd:element name="Auftragskennung" minOccurs="0">
						<xsd:simpleType>
							<xsd:restriction base="xsd:integer">
								<xsd:totalDigits value="6"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
					<xsd:element name="BezeichnungMassnahme">
						<xsd:simpleType>
							<xsd:restriction base="xsd:string">
								<xsd:maxLength value="5"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
					<xsd:element name="Dokumentationsrichtung" type="DokumentationsrichtungType" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="DeckelReferenzType">
		<xsd:complexContent>
			<xsd:extension base="StammdatenReferenzType">
				<xsd:sequence>
					<xsd:element name="Index">
						<xsd:simpleType>
							<xsd:restriction base="xsd:integer">
								<xsd:totalDigits value="2"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="ZustandsdatenReferenzType">
		<xsd:complexContent>
			<xsd:extension base="ReferenzType">
				<xsd:sequence>
					<xsd:element name="Anlagentyp" type="AnlagentypType"/>
					<xsd:element name="Inspektionsrichtung" type="InspektionsrichtungType" minOccurs="0"/>
					<xsd:element name="Rinnenbereich" type="RinnenbereichType" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="InspektionsdatenReferenzType">
		<xsd:complexContent>
			<xsd:extension base="ZustandsdatenReferenzType">
				<xsd:sequence>
					<xsd:element name="Index">
						<xsd:simpleType>
							<xsd:restriction base="xsd:integer">
								<xsd:totalDigits value="3"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="BerechnungsergebnisReferenzType">
		<xsd:complexContent>
			<xsd:extension base="ReferenzType">
				<xsd:sequence>
					<xsd:element name="Rechenlaufkennung">
						<xsd:simpleType>
							<xsd:restriction base="xsd:string">
								<xsd:maxLength value="30"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
					<xsd:element name="HydObjektTyp" type="HydraulikObjektTypType"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="HydraulikflaecheReferenzType">
		<xsd:complexContent>
			<xsd:extension base="ReferenzType">
				<xsd:sequence>
					<xsd:element name="Flaechennummer">
						<xsd:simpleType>
							<xsd:restriction base="xsd:integer">
								<xsd:totalDigits value="10"/>
							</xsd:restriction>
						</xsd:simpleType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="TextobjektType">
		<xsd:sequence>
			<xsd:element name="Inhalt" type="xsd:string"/>
			<xsd:element name="Typ" type="xsd:string"/>
			<xsd:element name="Position" type="PositionType"/>
			<xsd:element name="Drehwinkel" type="Winkel"/>
			<xsd:element name="HorizontaleAusrichtung" type="TextausrichtungHorizontalType" default="zentrisch"/>
			<xsd:element name="VertikaleAusrichtung" type="TextausrichtungVertikalType" default="Mitte"/>
			<xsd:element name="Hoehe">
				<xsd:simpleType>
					<xsd:restriction base="xsd:decimal">
						<xsd:totalDigits value="11"/>
						<xsd:fractionDigits value="3"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="Bezugslinie" type="xsd:boolean" minOccurs="0" maxOccurs="1"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="SymbolobjektType">
		<xsd:sequence>
			<xsd:element name="Typ" type="xsd:string"/>
			<xsd:element name="Position" type="PositionType"/>
			<xsd:element name="Drehwinkel" type="Winkel"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="PositionType">
		<xsd:sequence>
			<xsd:element name="Rechtswert">
				<xsd:simpleType>
					<xsd:restriction base="xsd:decimal">
						<xsd:totalDigits value="11"/>
						<xsd:fractionDigits value="3"/>
						<xsd:maxExclusive value="100000000"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
			<xsd:element name="Hochwert">
				<xsd:simpleType>
					<xsd:restriction base="xsd:decimal">
						<xsd:totalDigits value="10"/>
						<xsd:fractionDigits value="3"/>
						<xsd:maxExclusive value="10000000"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:simpleType name="Winkel">
		<xsd:restriction base="xsd:decimal">
			<xsd:totalDigits value="4"/>
			<xsd:fractionDigits value="3"/>
			<xsd:maxExclusive value="6.284"/>
			<xsd:minExclusive value="-6.284"/>
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>
